curl 'https://api.sandbox.uqpay.org/api/v1/cardholders/05618fcd-ba44-4933-8f80-046a32f18399' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_holder_id": "05618fcd-ba44-4933-8f80-046a32f18399",
"email": "[email protected]",
"first_name": "hello",
"last_name": "world",
"date_birth": "2023-09-28T00:00:00+08:00",
"phone_number": "93_1564815641848",
"residential_address": "{\"country\":\"BB\",\"state\":\"wed\",\"city\":\"ewd\",\"zip_code\":\"ewd\",\"address\":\"ewdewd\"}",
"delivery_address": "",
"create_time": "2023-09-28T15:04:44+08:00",
"update_time": "2023-09-28T15:04:44+08:00",
"card_holder_status": "SUCCESS"
}
}
Cardholders
Retrieve cardholder details
This endpoint retrieve cardholder details by cardholder id.
GET
/
api
/
v1
/
cardholders
/
{card_holder_id}
curl 'https://api.sandbox.uqpay.org/api/v1/cardholders/05618fcd-ba44-4933-8f80-046a32f18399' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_holder_id": "05618fcd-ba44-4933-8f80-046a32f18399",
"email": "[email protected]",
"first_name": "hello",
"last_name": "world",
"date_birth": "2023-09-28T00:00:00+08:00",
"phone_number": "93_1564815641848",
"residential_address": "{\"country\":\"BB\",\"state\":\"wed\",\"city\":\"ewd\",\"zip_code\":\"ewd\",\"address\":\"ewdewd\"}",
"delivery_address": "",
"create_time": "2023-09-28T15:04:44+08:00",
"update_time": "2023-09-28T15:04:44+08:00",
"card_holder_status": "SUCCESS"
}
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
string
required
The id of the cardholder for the card.
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
object
Hide details
Hide details
string
The id of the cardholder for the card.
string
Email of cardholder.
string
First name of cardholder.
string
Last name of cardholder.
string
Date birth of cardholder.
string
Phone number of cardholder.
string
Residential address of cardholder.
string
Delivery address of cardholder.
string
Create time of cardholder.
string
Update time of cardholder.
string
Card holder status of cardholder.
curl 'https://api.sandbox.uqpay.org/api/v1/cardholders/05618fcd-ba44-4933-8f80-046a32f18399' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": {
"card_holder_id": "05618fcd-ba44-4933-8f80-046a32f18399",
"email": "[email protected]",
"first_name": "hello",
"last_name": "world",
"date_birth": "2023-09-28T00:00:00+08:00",
"phone_number": "93_1564815641848",
"residential_address": "{\"country\":\"BB\",\"state\":\"wed\",\"city\":\"ewd\",\"zip_code\":\"ewd\",\"address\":\"ewdewd\"}",
"delivery_address": "",
"create_time": "2023-09-28T15:04:44+08:00",
"update_time": "2023-09-28T15:04:44+08:00",
"card_holder_status": "SUCCESS"
}
}
⌘I